From 30ade6c2c6717e99c35dd7e0b9da6866039b9b51 Mon Sep 17 00:00:00 2001
From: Pip Cet <pipcet@gmail.com>
Date: Sat, 20 Jul 2019 14:47:39 +0000
Subject: [PATCH] Fix return value for CCL opcode lookup-integer

* src/ccl.c (ccl_driver): Fix LookupIntConstTbl return value.
---
 src/ccl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/ccl.c b/src/ccl.c
index ff42c6f25f..da2559e0b1 100644
--- a/src/ccl.c
+++ b/src/ccl.c
@@ -1299,7 +1299,7 @@ #define EXCMD (field1 >> 6)
 		    if (! (IN_INT_RANGE (eop) && CHARACTERP (opl)))
 		      CCL_INVALID_CMD;
 		    reg[RRR] = charset_unicode;
-		    reg[rrr] = eop;
+		    reg[rrr] = XFIXNUM (opl);
 		    reg[7] = 1; /* r7 true for success */
 		  }
 		else
-- 
2.22.0

